# File generic image formatter

This module add a field formatter that renders the field as a generic image.
A common use case is to format files on media entities to show a common icon on the media library widget.

The module shares the logic of "generic" thumbnail generation of core's Media.
The default configuration also shares the Media folder, so:

* The icon folder base uri is `public://media-icons/generic`
* The default filename is `generic.png`

Those settings may be edit at `admin/config/file-generic-image-formatter/settings`

## Configuration

* Configure the formatter of the file field as "Generic image formatter". E.g. at `admin/structure/media/manage/file/display/media_library`


* You may add inside the icons folder different thumbnail images per file mime type. E.g. for a PDF file, valid names are in order
   * `application--pdf.png`
   * `pdf.png`
   * `application.png`
   * `generic.png`
